VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Attributes | List of all members
tdefl_compressor Struct Reference

## Public Attributes
tdefl_put_buf_func_ptr | m_pPut_buf_func
void * | m_pPut_buf_user
mz_uint | m_flags
mz_uint | m_max_probes [2]
int | m_greedy_parsing
mz_uint | m_adler32
mz_uint | m_lookahead_pos
mz_uint | m_lookahead_size
mz_uint | m_dict_size
mz_uint8 * | m_pLZ_code_buf
mz_uint8 * | m_pLZ_flags
mz_uint8 * | m_pOutput_buf
mz_uint8 * | m_pOutput_buf_end
mz_uint | m_num_flags_left
mz_uint | m_total_lz_bytes
mz_uint | m_lz_code_buf_dict_pos
mz_uint | m_bits_in
mz_uint | m_bit_buffer
mz_uint | m_saved_match_dist
mz_uint | m_saved_match_len
mz_uint | m_saved_lit
mz_uint | m_output_flush_ofs
mz_uint | m_output_flush_remaining
mz_uint | m_finished
mz_uint | m_block_index
mz_uint | m_wants_to_finish
tdefl_status | m_prev_return_status
const void * | m_pIn_buf
void * | m_pOut_buf
size_t * | m_pIn_buf_size
size_t * | m_pOut_buf_size
tdefl_flush | m_flush
const mz_uint8 * | m_pSrc
size_t | m_src_buf_left
size_t | m_out_buf_ofs
mz_uint8 | m_dict [TDEFL_LZ_DICT_SIZE+TDEFL_MAX_MATCH_LEN-1]
mz_uint16 | m_huff_count [TDEFL_MAX_HUFF_TABLES][TDEFL_MAX_HUFF_SYMBOLS]
mz_uint16 | m_huff_codes [TDEFL_MAX_HUFF_TABLES][TDEFL_MAX_HUFF_SYMBOLS]
mz_uint8 | m_huff_code_sizes [TDEFL_MAX_HUFF_TABLES][TDEFL_MAX_HUFF_SYMBOLS]
mz_uint8 | m_lz_code_buf [TDEFL_LZ_CODE_BUF_SIZE]
mz_uint16 | m_next [TDEFL_LZ_DICT_SIZE]
mz_uint16 | m_hash [TDEFL_LZ_HASH_SIZE]
mz_uint8 | m_output_buf [TDEFL_OUT_BUF_SIZE]

## Member Data Documentation

mz_uint m_adler32

mz_uint m_bit_buffer

mz_uint m_bits_in

mz_uint m_block_index

mz_uint8 m_dict[TDEFL_LZ_DICT_SIZE+TDEFL_MAX_MATCH_LEN-1]

mz_uint m_dict_size

mz_uint m_finished

mz_uint m_flags

tdefl_flush m_flush

int m_greedy_parsing

mz_uint16 m_hash[TDEFL_LZ_HASH_SIZE]

mz_uint8 m_huff_code_sizes[TDEFL_MAX_HUFF_TABLES][TDEFL_MAX_HUFF_SYMBOLS]

mz_uint16 m_huff_codes[TDEFL_MAX_HUFF_TABLES][TDEFL_MAX_HUFF_SYMBOLS]

mz_uint16 m_huff_count[TDEFL_MAX_HUFF_TABLES][TDEFL_MAX_HUFF_SYMBOLS]

mz_uint m_lookahead_pos

mz_uint m_lookahead_size

mz_uint8 m_lz_code_buf[TDEFL_LZ_CODE_BUF_SIZE]

mz_uint m_lz_code_buf_dict_pos

mz_uint m_max_probes[2]

mz_uint16 m_next[TDEFL_LZ_DICT_SIZE]

mz_uint m_num_flags_left

size_t m_out_buf_ofs

mz_uint8 m_output_buf[TDEFL_OUT_BUF_SIZE]

mz_uint m_output_flush_ofs

mz_uint m_output_flush_remaining

const void* m_pIn_buf

size_t* m_pIn_buf_size

mz_uint8* m_pLZ_code_buf

mz_uint8 * m_pLZ_flags

void* m_pOut_buf

size_t * m_pOut_buf_size

mz_uint8 * m_pOutput_buf

mz_uint8 * m_pOutput_buf_end

tdefl_put_buf_func_ptr m_pPut_buf_func

void* m_pPut_buf_user

tdefl_status m_prev_return_status

const mz_uint8* m_pSrc

mz_uint m_saved_lit

mz_uint m_saved_match_dist

mz_uint m_saved_match_len

size_t m_src_buf_left

mz_uint m_total_lz_bytes

mz_uint m_wants_to_finish

The documentation for this struct was generated from the following file:

- miniz.h